<?php


@$vercode=''; //此处取值请自行修改

if(isset($_POST['vercode'])){
if ($_POST['vercode']!=$vercode){
 echo("[err]invalid vercode[/err]");
 exit();
}
}

define('APPTYPEID', 0);
define('CURSCRIPT', 'search');
define('DISABLEXSSCHECK', true);
require './source/class/class_core.php';

$discuz = C::app();

$modarray = array('portal', 'forum', 'blog', 'album', 'group');

$cachelist = $slist = array();
$mod = '';
$discuz->cachelist = $cachelist;
$discuz->init();

$mod='portal'; //zzcity add

define('CURMODULE', $mod);
//runhooks();

require_once libfile('function/search');

//require DISCUZ_ROOT.'./source/module/search/search_'.$mod.'.php';


/**
 *      [Discuz!] (C)2001-2099 Comsenz Inc.
 *      This is NOT a freeware, use is subject to license terms
 *
 *      $Id: search_portal.php 8544 2010-04-21 05:25:03Z monkey $
 */

//if(!defined('IN_DISCUZ')) {
// exit('Access Denied');
//}

define('NOROBOT', TRUE);

require_once libfile('function/home');


$_POST['title'] = getstr(trim($_POST['title']), $_G['setting']['maxsubjectsize']);
$srchtxt = censor($_POST['title'], NULL, FALSE, FALSE);

//$srchtxt = isset($srchtxt) ? dhtmlspecialchars($srchtxt) : '';
$catid=$_POST['catid'];
$catid=$catid ? $catid : 0;
if (empty($srchtxt)){
 exit('[err]no title[/err]');
}
$wherestr= $catid ? " and catid=$catid " : "";

$srchtxtsql=addslashes($srchtxt);
$query = DB::fetch_first("SELECT aid FROM ".DB::table('portal_article_title')." WHERE title = '$srchtxtsql' $wherestr LIMIT 1");


if(!$query) {
 echo('[no]');
}else{
 echo('[yes]');
}


?>